List of Open Source Software which can be built on Fugaku

Spack logo
Spack will be used to manage open source software packages on Fugaku. Fugaku users can easily use pre-installed packages and built packages based on Spack recipes. The following list shows the results of building/compiling packages for aarch64 according to the Spack recipes. Note that the results in this list do not guarantee that each package will work properly. On the other hand, Fujitsu will provide the following packages compiled with Fujitsu compiler on Fugaku as "external" packages, of which Spack can be aware.
  • OpenJDK 11
  • Ruby 2.6.5 or later
  • Python2 2.7.15
  • Python3 3.6.8
  • Numpy 1.14.3
  • SciPy 1.0.0
  • Eclipse IDE 2019-09 R Packages
Please contact us from email:

Build success rate per compiler


Last Modified: 4/8/24, 2:58 AM GMT
Spack Version: 1/18/24, 1:14 AM GMT
Click each result for further infomation.
Package Version Fujitsu Compiler GCC
iniparser 4.1 YES
inputproto 2.3.2 YES
intel 20.0.4 Skipped
intel-daal 2020.2.254 Skipped
intel-gpu-tools 1.20 Skipped
intel-gtpin 3.2.2 Dependency Error
intel-ipp 2020.2.254 Skipped
intel-llvm sycl Skipped
intel-mkl 2020.4.304 Skipped
intel-mpi 2019.10.317 Skipped
intel-mpi-benchmarks 2021.3 YES
intel-oneapi-advisor 2023.2.0 Dependency Error
intel-oneapi-ccl 2021.10.0 Dependency Error
intel-oneapi-compilers 2023.2.1 Dependency Error
intel-oneapi-compilers-classic 2021.10.0 Dependency Error
intel-oneapi-dal 2023.2.0 Dependency Error
intel-oneapi-dnn 2023.2.0 Dependency Error
intel-oneapi-dpct 2023.2.0 Dependency Error
intel-oneapi-dpl 2022.2.0 Dependency Error
intel-oneapi-inspector 2023.2.0 Dependency Error
intel-oneapi-ipp 2021.9.0 Dependency Error
intel-oneapi-ippcp 2021.8.0 Dependency Error
intel-oneapi-itac 2021.10.0 Dependency Error
intel-oneapi-mkl 2023.2.0 Dependency Error
intel-oneapi-mpi 2021.10.0 Dependency Error
intel-oneapi-tbb 2021.10.0 Dependency Error
intel-oneapi-vpl 2023.1.0 Dependency Error
intel-oneapi-vtune 2023.2.0 Dependency Error
intel-parallel-studio professional.2020.4 Skipped
intel-pin 3.27 Skipped
intel-tbb 2021.9.0 Skipped
intel-xed 2023.07.09 Skipped
interproscan 5.63-95.0 YES
intltool 0.51.0
ioapi 3.2 Dependency Error
ior 3.3.0 Dependency Error
iozone 3_506 Dependency Error
ip 3.3.3 YES
ip2 1.1.2 Dependency Error
ipcalc 0.2.3 YES
iperf2 2.1.9 YES
iperf3 3.6 YES
ipm master YES
ipopt 3.14.9 Dependency Error
iproute2 5.11.0 Dependency Error
iptraf-ng 1.2.1 YES
iq-tree 2.2.2.7 Skipped
iqtree2 2.2.2 Dependency Error
irep 1.0.0 YES
isa-l 2.30.0 Dependency Error
isa-l-crypto 2.24.0 Dependency Error
isaac 1.5.2 YES
isaac-server 1.5.2 Dependency Error
isc-dhcp 4.4.2 YES
isescan 1.7.2.3 Skipped
isl 0.25 YES
iso-codes 4.15.0 YES
ispc 1.20.0 Timed out
istio 1.6.7 YES
itensor 3.1.11 YES
itk 5.2.1 Dependency Error
itstool 2.0.7 YES
itsx 1.0.11 Skipped
iwyu 0.18 Dependency Error
jackcess 2.1.12 YES
jafka 3.0.6 YES
jags 4.3.0 Dependency Error
jali 1.1.6 YES
jansi 1.18 YES
jansi-native 1.8 YES
jansson 2.14 Dependency Error
jasper 3.0.3 YES
javafx 20.0.1 YES
jbigkit 2.1 YES
jblob 3.0 Dependency Error
jchronoss 1.2.1 YES
jdk 14_36 Dependency Error
jedi-cmake 1.4.0 YES
jellyfish 2.2.7 YES
jemalloc 5.3.0 YES
jetty-project 9.4.31.v20200723 YES
jhpcn-df 1.1.0 YES
jimtcl 0.82 YES
jline3 3.22.0 YES
jmol 14.31.0 YES
jogl java-11-fixes Dependency Error
jose 10 YES
jpegoptim 1.4.6 YES
jq 1.6 YES
json-c 0.16 YES
json-cwx 0.12 YES
json-fortran 8.3.0 YES
json-glib 1.6.6 Dependency Error
jsoncpp 1.9.5 YES
jsonnet 0.18.0 YES
jstorm 2.4.0 YES
jube 2.5.1 YES
judy 1.0.5 YES
julea master Dependency Error
julia 1.9.2 Dependency Error
junit4 4.13.2 YES
justbuild 1.2.2 Dependency Error
jwt-cpp 0.6.0 Dependency Error
jxrlib-debian 1.2_git20170615.f752187-5 YES
k8 0.2.4 YES
kadath fuka Dependency Error
kafka 2.13-3.5.1 YES
kahip 3.14 YES
kaiju 1.6.2 Dependency Error
kakoune 2021.11.08 YES
kaks-calculator 2.0 YES
kaldi 2021-11-16 Dependency Error
kalign 3.3.1 Dependency Error
kallisto 0.48.0 YES
karma 1.7.25-common YES
kassiopeia 3.8.2 Dependency Error
kbd 2.3.0 YES
kbproto 1.0.7 YES
kcov 38 YES
kdiff3 0.9.98 Dependency Error
kea 1.6.2 Dependency Error
kealib 1.5.2 YES
keepalived 2.0.19 YES
keepassxc 2.7.1 Dependency Error
kentutils 302.1 YES
keyutils 1.6.1 YES
kibana 6.4.0 YES
kicad 7.0.2 Dependency Error
kim-api 2.2.1 Dependency Error
kinesis 2.4.8 YES
kineto 2021-05-12 YES
kitty 0.12.3 Dependency Error
kmergenie 1.7051 YES
kmod 27 YES
knem 1.1.4 Dependency Error
kokkos 4.1.00 YES
kokkos-kernels 4.0.00 YES
kokkos-kernels-legacy 2.7.00 Dependency Error
kokkos-legacy 2.9.00 Dependency Error
kokkos-nvcc-wrapper 4.1.00 Skipped
kraken 1.1.1 YES
kraken2 2.1.2 YES
krakenuniq 1.0.4 YES
krb5 1.20.1 YES
krims 0.2.1 YES
kripke 1.2.4 Dependency Error
kubectl 1.27.1 Dependency Error
kubernetes 1.27.2 Dependency Error
kumi 3.0 Dependency Error
kvasir-mpl develop YES
kvtree 1.4.0 YES
kylin 3.1.0 YES
ladot 1.2 YES
laghos 3.1 YES
lame 3.100 YES
lammps 20230802 YES
landsfcutil 2.4.1 YES
lanl-cmake-modules develop YES
lapackpp 2023.08.25 YES
last 1499 YES
lastz 1.04.22 YES
laszip 3.4.3 YES
latex2html 2022.2 Dependency Error
latte 1.2.2 Dependency Error
launchmon 1.2.0 YES
lazyten 0.4.1 Dependency Error
lbann 0.102 Dependency Error
lbfgspp 0.2.0 YES
lbxproxy 1.0.3 Dependency Error
lbzip2 2.5 Dependency Error
lcals 1.0.2 Dependency Error
lcc main Dependency Error
lcgenv 1.3.19 YES
lcio 2.20 Dependency Error
lcms 2.13.1 YES
lcov 1.16 YES
ldak 5.2 Skipped
ldc 1.3.0 Dependency Error
ldc-bootstrap 0.17.4 Dependency Error
legion 23.06.0 YES
lemon 1.3.1 YES
leptonica 1.83.1 YES
lerc 4.0.0 YES
less 643 YES
lesstif 0.95.2 YES
leveldb 1.23 YES
lfortran 0.19.0
lftp 4.9.2 Dependency Error
lhapdf 6.5.4 YES
lhapdf5 5.9.1 Dependency Error
lhapdfsets 6.3.0 YES
libabigail 2.0 YES
libaec 1.0.6 YES
libaio 0.3.113 Dependency Error
libao 1.2.2 YES
libapplewm 1.4.1 Dependency Error
libapreq2 2.13 YES
libarchive 3.7.1 YES
libasr 1.0.4 YES
libassuan 2.5.6 YES

Page 8 of 38, showing 200 record(s) out of 7,469 total